Skip to main content
`Ctrl`+`K`

# KSPGuessView

View the `KSPGuess` object

## Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPGuessView(KSPGuess guess, PetscViewer view)

Logically Collective

## Input Parameters

- guess - the initial guess object for the Krylov method

- view - the viewer object

## Options Database Key

- -ksp_guess_view viewer - view the `KSPGuess` object

## See Also

KSP: Linear System Solvers, `KSP`, `KSPGuess`, `KSPGuessType`, `KSPGuessRegister()`, `KSPGuessCreate()`, `PetscViewer`

## Level

developer

## Location

src/ksp/ksp/interface/iguess.c

## Implementations

KSPGuessView_Fischer() in src/ksp/ksp/guess/impls/fischer/fischer.c
KSPGuessView_POD() in src/ksp/ksp/guess/impls/pod/pod.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages